# -*- coding: utf-8 -*
#!/usr/bin/python
import serial
import time
ser = serial.Serial("/dev/ttyAMA0",115200)
C_buff = ["AT\r\n", "AT+CPIN?\r\n", "AT+CSQ\r\n", "AT+CREG?\r\n","AT+CGATT?\r\n","ATD","ATH\r\n"]
W_buff = [i.encode() for i in C_buff]
#ser.write(W_buff[0])
ser.flushInput()
data=b''
num=''
cmd=''


try:
    for i in range(len(C_buff)-2):
        ser.write(W_buff[i])
        time.sleep(0.1)
        while ser.inWaiting()<4:
            pass
        while ser.inWaiting()>0:
            data=ser.read(ser.inWaiting())
            print(data.decode())
        if (b'ERROR' in data):
            exit()
        data=b''
    num=input("电话号码：")
    cmd=W_buff[-2]+(num+"\r\n").encode()
    #print(cmd)
    ser.write(cmd)
    time.sleep(0.1)
    while 1:
        while ser.inWaiting()>0:
            data=ser.read(ser.inWaiting())
            print(data.decode())
except KeyboardInterrupt:
    ser.write(W_buff[-1])
    time.sleep(0.1)
    while ser.inWaiting()<4:
        pass
    while ser.inWaiting()>0:
        data=ser.read(ser.inWaiting())
        print(data.decode())
    if ser != None:
        ser.close()
